Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -2836,43 +3090,49 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="ButtonPushedTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="ButtonPushedTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="ButtonPushedBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="ButtonPushedBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="ButtonPushedLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="ButtonPushedTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="ButtonPushedRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="ButtonPushedBottom" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/ButtonPushedTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/ButtonPushedTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/ButtonPushedBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/ButtonPushedBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/ButtonPushedLeft" />
+                <Image component="TopEdge" name="WindowsLook/ButtonPushedTop" />
+                <Image component="RightEdge" name="WindowsLook/ButtonPushedRight" />
+                <Image component="BottomEdge" name="WindowsLook/ButtonPushedBottom" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonPushedLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonPushedTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonPushedLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonPushedTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonPushedRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonPushedBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
-                <Colours topLeft="FFAFAFAF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonPushedRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonPushedBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
+                <Colours bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" topLeft="FFAFAFAF" topRight="FFFFFFFF" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -2883,25 +3143,23 @@
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonPushedLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonPushedTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonPushedLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonPushedTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonPushedRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonPushedBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="VertScrollbarGrip" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonPushedRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonPushedBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/VertScrollbarGrip" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="Stretched" />
@@ -2912,5 +3170,5 @@
                 <Section section="normal" />
                 <Section section="gripper">
-                    <Colours topLeft="FFAFAFAF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" />
+                    <Colours bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" topLeft="FFAFAFAF" topRight="FFFFFFFF" />
                 </Section>
             </Layer>
@@ -2920,5 +3178,5 @@
                 <Section section="hover" />
                 <Section section="gripper">
-                    <Colours topLeft="FFCFD9CF" topRight="FFF2FFF2" bottomLeft="FFF2FFF2" bottomRight="FFCFD9CF" />
+                    <Colours bottomLeft="FFF2FFF2" bottomRight="FFCFD9CF" topLeft="FFCFD9CF" topRight="FFF2FFF2" />
                 </Section>
             </Layer>
@@ -2928,16 +3186,9 @@
                 <Section section="pushed" />
                 <Section section="gripper">
-                    <Colours topLeft="FFAFAFAF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" />
+                    <Colours bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" topLeft="FFAFAFAF" topRight="FFFFFFFF" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/VerticalScrollbar
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/VerticalScrollbar">
         <Property name="VerticalScrollbar" value="True" />
@@ -2945,41 +3196,70 @@
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <UnifiedDim scale="1" type="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                        <UnifiedDim scale="1" type="Width" />
+                    </OperatorDim>
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="WindowsLook/IconButton" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Width" /></Dim>
+        <Child nameSuffix="__auto_incbtn__" type="WindowsLook/IconButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
-            <Property name="IconImage" value="set:WindowsLook image:LargeDownArrow" />
+            <Property name="IconImage" value="WindowsLook/LargeDownArrow" />
         </Child>
-        <Child  type="WindowsLook/IconButton" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Width" /></Dim>
-            </Area>
-            <Property name="IconImage" value="set:WindowsLook image:LargeUpArrow" />
+        <Child nameSuffix="__auto_decbtn__" type="WindowsLook/IconButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+            </Area>
+            <Property name="IconImage" value="WindowsLook/LargeUpArrow" />
         </Child>
-        <Child  type="WindowsLook/VerticalScrollbarThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="0.2" type="Height" /></Dim>
+        <Child nameSuffix="__auto_thumb__" type="WindowsLook/VerticalScrollbarThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="0.2" type="Height" />
+                </Dim>
             </Area>
         </Child>
@@ -2987,16 +3267,21 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="LargeUpArrow" dimension="Height" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1.0" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="LargeDownArrow" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/LargeUpArrow" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1.0" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/LargeDownArrow" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -3006,5 +3291,5 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FFDFDFDF" topRight="FFDFDFDF" bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" />
+                    <Colours bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" topLeft="FFDFDFDF" topRight="FFDFDFDF" />
                 </Section>
             </Layer>
@@ -3013,61 +3298,60 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FFBFBFBF" topRight="FFBFBFBF" bottomLeft="FFBFBFBF" bottomRight="FFBFBFBF" />
+                    <Colours bottomLeft="FFBFBFBF" bottomRight="FFBFBFBF" topLeft="FFBFBFBF" topRight="FFBFBFBF" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/HorizontalScrollbarThumb
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/HorizontalScrollbarThumb">
         <Property name="HorzFree" value="True" />
-        <Property name="UnifiedMinSize" value="{{0,16},{0,0}}" />
+        <Property name="MinSize" value="{{0,16},{0,0}}" />
         <ImagerySection name="normal">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="ButtonNormalTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="ButtonNormalTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="ButtonNormalBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="ButtonNormalBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="ButtonNormalLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="ButtonNormalTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="ButtonNormalRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="ButtonNormalBottom" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/ButtonNormalTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/ButtonNormalTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/ButtonNormalBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/ButtonNormalBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/ButtonNormalLeft" />
+                <Image component="TopEdge" name="WindowsLook/ButtonNormalTop" />
+                <Image component="RightEdge" name="WindowsLook/ButtonNormalRight" />
+                <Image component="BottomEdge" name="WindowsLook/ButtonNormalBottom" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonNormalLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonNormalTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonNormalLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonNormalTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonNormalRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonNormalBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
-                <Colours topLeft="FFAFAFAF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonNormalRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonNormalBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
+                <Colours bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" topLeft="FFAFAFAF" topRight="FFFFFFFF" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -3077,43 +3361,49 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="ButtonHoverTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="ButtonHoverTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="ButtonHoverBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="ButtonHoverBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="ButtonHoverLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="ButtonHoverTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="ButtonHoverRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="ButtonHoverBottom" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/ButtonHoverTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/ButtonHoverTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/ButtonHoverBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/ButtonHoverBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/ButtonHoverLeft" />
+                <Image component="TopEdge" name="WindowsLook/ButtonHoverTop" />
+                <Image component="RightEdge" name="WindowsLook/ButtonHoverRight" />
+                <Image component="BottomEdge" name="WindowsLook/ButtonHoverBottom" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonHoverLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonHoverTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonHoverLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonHoverTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonHoverRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonHoverBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
-                <Colours topLeft="FFCFD9CF" topRight="FFF2FFF2" bottomLeft="FFF2FFF2" bottomRight="FFCFD9CF" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonHoverRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonHoverBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
+                <Colours bottomLeft="FFF2FFF2" bottomRight="FFCFD9CF" topLeft="FFCFD9CF" topRight="FFF2FFF2" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
